scala
class Float

[Source: none]

`abstract final` `class` Float
  `extends` AnyVal

  /*

  Class `Float` belongs to the value classes whose instances are not represented as objects by the underlying host system. All value classes inherit from class `AnyVal`.

  Values `MAX_FLOAT` and `MIN_FLOAT` are in defined in object scala.Math.

  /

Method Summary
`def` | != (arg0 : Char) : Boolean
`def` | != (arg0 : Double) : Boolean
`def` | != (arg0 : Byte) : Boolean
`def` | != (arg0 : Short) : Boolean
`def` | != (arg0 : Int) : Boolean
`def` | != (arg0 : Long) : Boolean
`def` | != (arg0 : Float) : Boolean
`def` | % (arg0 : Long) : Float
`def` | % (arg0 : Char) : Float
`def` | % (arg0 : Short) : Float
`def` | % (arg0 : Byte) : Float
`def` | % (arg0 : Float) : Float
`def` | % (arg0 : Int) : Float
`def` | % (arg0 : Double) : Double
`def` | * (arg0 : Short) : Float
`def` | * (arg0 : Char) : Float
`def` | * (arg0 : Float) : Float
`def` | * (arg0 : Int) : Float
`def` | * (arg0 : Double) : Double
`def` | * (arg0 : Long) : Float
`def` | * (arg0 : Byte) : Float
`def` | + (arg0 : Float) : Float
`def` | + (arg0 : Short) : Float
`def` | + (arg0 : java.lang.String) : java.lang.String
`def` | + (arg0 : Double) : Double
`def` | + (arg0 : Int) : Float
`def` | + (arg0 : Char) : Float
`def` | + (arg0 : Long) : Float
`def` | + (arg0 : Byte) : Float
`def` | - (arg0 : Char) : Float
`def` | - (arg0 : Float) : Float
`def` | - (arg0 : Int) : Float
`def` | - (arg0 : Long) : Float
`def` | - (arg0 : Short) : Float
`def` | - (arg0 : Byte) : Float
`def` | - (arg0 : Double) : Double
`def` | / (arg0 : Long) : Float
`def` | / (arg0 : Float) : Float
`def` | / (arg0 : Char) : Float
`def` | / (arg0 : Double) : Double
`def` | / (arg0 : Int) : Float
`def` | / (arg0 : Byte) : Float
`def` | / (arg0 : Short) : Float
`def` | < (arg0 : Float) : Boolean
`def` | < (arg0 : Long) : Boolean
`def` | < (arg0 : Double) : Boolean
`def` | < (arg0 : Int) : Boolean
`def` | < (arg0 : Short) : Boolean
`def` | < (arg0 : Char) : Boolean
`def` | < (arg0 : Byte) : Boolean
`def` | <= (arg0 : Float) : Boolean
`def` | <= (arg0 : Byte) : Boolean
`def` | <= (arg0 : Double) : Boolean
`def` | <= (arg0 : Short) : Boolean
`def` | <= (arg0 : Long) : Boolean
`def` | <= (arg0 : Char) : Boolean
`def` | <= (arg0 : Int) : Boolean
`def` | == (arg0 : Char) : Boolean
`def` | == (arg0 : Short) : Boolean
`def` | == (arg0 : Long) : Boolean
`def` | == (arg0 : Byte) : Boolean
`def` | == (arg0 : Int) : Boolean
`def` | == (arg0 : Float) : Boolean
`def` | == (arg0 : Double) : Boolean
`def` | > (arg0 : Short) : Boolean
`def` | > (arg0 : Char) : Boolean
`def` | > (arg0 : Int) : Boolean
`def` | > (arg0 : Double) : Boolean
`def` | > (arg0 : Byte) : Boolean
`def` | > (arg0 : Float) : Boolean
`def` | > (arg0 : Long) : Boolean
`def` | >= (arg0 : Short) : Boolean
`def` | >= (arg0 : Byte) : Boolean
`def` | >= (arg0 : Char) : Boolean
`def` | >= (arg0 : Long) : Boolean
`def` | >= (arg0 : Float) : Boolean
`def` | >= (arg0 : Double) : Boolean
`def` | >= (arg0 : Int) : Boolean
`def` | toByte : Byte
`def` | toChar : Char
`def` | toDouble : Double
`def` | toFloat : Float
`def` | toInt : Int
`def` | toLong : Long
`def` | toShort : Short
`def` | unary_+ : Float
`def` | unary_- : Float

Methods inherited from Any
==, !=, equals, hashCode, toString, isInstanceOf, asInstanceOf

Method Details

`` `def` toByte : Byte

`` `def` toShort : Short

`` `def` toChar : Char

`` `def` toInt : Int

`` `def` toLong : Long

`` `def` toFloat : Float

`` `def` toDouble : Double

`` `def` +(arg0 : java.lang.String) : java.lang.String

`` `def` unary_+ : Float

`` `def` unary_- : Float

`` `def` ==(arg0 : Byte) : Boolean

`` `def` !=(arg0 : Byte) : Boolean

`` `def` <(arg0 : Byte) : Boolean

`` `def` <=(arg0 : Byte) : Boolean

`` `def` >(arg0 : Byte) : Boolean

`` `def` >=(arg0 : Byte) : Boolean

`` `def` +(arg0 : Byte) : Float

`` `def` -(arg0 : Byte) : Float

`` `def` *(arg0 : Byte) : Float

`` `def` /(arg0 : Byte) : Float

`` `def` %(arg0 : Byte) : Float

`` `def` ==(arg0 : Short) : Boolean

`` `def` !=(arg0 : Short) : Boolean

`` `def` <(arg0 : Short) : Boolean

`` `def` <=(arg0 : Short) : Boolean

`` `def` >(arg0 : Short) : Boolean

`` `def` >=(arg0 : Short) : Boolean

`` `def` +(arg0 : Short) : Float

`` `def` -(arg0 : Short) : Float

`` `def` *(arg0 : Short) : Float

`` `def` /(arg0 : Short) : Float

`` `def` %(arg0 : Short) : Float

`` `def` ==(arg0 : Char) : Boolean

`` `def` !=(arg0 : Char) : Boolean

`` `def` <(arg0 : Char) : Boolean

`` `def` <=(arg0 : Char) : Boolean

`` `def` >(arg0 : Char) : Boolean

`` `def` >=(arg0 : Char) : Boolean

`` `def` +(arg0 : Char) : Float

`` `def` -(arg0 : Char) : Float

`` `def` *(arg0 : Char) : Float

`` `def` /(arg0 : Char) : Float

`` `def` %(arg0 : Char) : Float

`` `def` ==(arg0 : Int) : Boolean

`` `def` !=(arg0 : Int) : Boolean

`` `def` <(arg0 : Int) : Boolean

`` `def` <=(arg0 : Int) : Boolean

`` `def` >(arg0 : Int) : Boolean

`` `def` >=(arg0 : Int) : Boolean

`` `def` +(arg0 : Int) : Float

`` `def` -(arg0 : Int) : Float

`` `def` *(arg0 : Int) : Float

`` `def` /(arg0 : Int) : Float

`` `def` %(arg0 : Int) : Float

`` `def` ==(arg0 : Long) : Boolean

`` `def` !=(arg0 : Long) : Boolean

`` `def` <(arg0 : Long) : Boolean

`` `def` <=(arg0 : Long) : Boolean

`` `def` >(arg0 : Long) : Boolean

`` `def` >=(arg0 : Long) : Boolean

`` `def` +(arg0 : Long) : Float

`` `def` -(arg0 : Long) : Float

`` `def` *(arg0 : Long) : Float

`` `def` /(arg0 : Long) : Float

`` `def` %(arg0 : Long) : Float

`` `def` ==(arg0 : Float) : Boolean

`` `def` !=(arg0 : Float) : Boolean

`` `def` <(arg0 : Float) : Boolean

`` `def` <=(arg0 : Float) : Boolean

`` `def` >(arg0 : Float) : Boolean

`` `def` >=(arg0 : Float) : Boolean

`` `def` +(arg0 : Float) : Float

`` `def` -(arg0 : Float) : Float

`` `def` *(arg0 : Float) : Float

`` `def` /(arg0 : Float) : Float

`` `def` %(arg0 : Float) : Float

`` `def` ==(arg0 : Double) : Boolean

`` `def` !=(arg0 : Double) : Boolean

`` `def` <(arg0 : Double) : Boolean

`` `def` <=(arg0 : Double) : Boolean

`` `def` >(arg0 : Double) : Boolean

`` `def` >=(arg0 : Double) : Boolean

`` `def` +(arg0 : Double) : Double

`` `def` -(arg0 : Double) : Double

`` `def` *(arg0 : Double) : Double

`` `def` /(arg0 : Double) : Double

`` `def` %(arg0 : Double) : Double